Update Webhook

Update webhook the account created before.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Filter Object

A filter is used to specify a subset of events which you want to receive notifications for.

To create a filter, you can specify a set of entries. Each entry has two properties: field and values. The field property stands for the field name to filter on. The value property is a set of string values (e.g., 0x addresses) to be matched. Within each entry, the values are implicitly ORed. Across entries, the values are implicit ANDed.

For example, the following filter will match both "A" or "B" for the walletAddress field and "x" for the contractAddress field.

[
  {
    "field": "walletAddress",
    "values": ["A", "B"]
  },
  {
    "field": "contractAddress",
    "values": ["x"]
  }
]
Path Params
string
required

Webhook to be updated

Body Params
string

Name of the webhook

string

URL of the webhook

filters
array of objects

Filter object to filter message

filters
additional_headers
array of objects

Additional headers would be added into the webhook POST when push message is matched.

additional_headers
string
required

The ID of Webhook to be updated

Headers
string
required

YOUR-API-KEY

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json